#!/bin/bash
#
# Bit Trade One USB IR REMOCON の接続、取り外し時にシンボリックリンクを作成、削除するスクリプト
# 置く場所はudevルールの中身に合わせて下さい


get_dev()
{
line="$(dmesg|grep "Bit Trade One LTD. USB IR REMOCON"|grep "generic-usb"|grep input3|tail -1)"
#line="$(dmesg|grep "Bit Trade One LTD. USB IR REMOCON"|grep "hid-generic"|grep input3|tail -1)"
for i in ${line} # 1行を空白区切りで分解して順にチェック
do
str="$(echo "${i}"|grep hidraw)"
if test -n "${str}"; then
line=${str#*,}  # 最初の,より後ろを取り出す
line=${line%:*}  # 最後の:より前を取り出す
echo "${line}"
fi
done
}


post_add()
{
if ! lsusb|grep -q "22ea:001e"; then
echo "Error: USB IR REMOCON not connected."
exit 1
fi

DEV=/dev/$(get_dev)
if ! test -e ${LNKDEV}; then
ln -s ${DEV} ${LNKDEV}
fi
}


post_remove()
{
rm -rf ${LNKDEV}
}



LNKDEV=/dev/BtoUsbIrRemocon

[ $# -lt 1 ] && echo "usage: $0 add,remove" && exit

case "${1}" in
add)
	post_add;;
remove)
	post_remove;;
*)break;;
esac
